<script setup lang="ts">
import { RouterLink, RouterView, onBeforeRouteUpdate, useRoute } from 'vue-router'
import { useAuthStore } from './stores/auth'
import NavigationDrawer from '@/components/NavigationDrawer.vue'
import AppBarLogin from '@/components/AppBarLogin.vue'
import LoadingDialog from './components/LoadingDialog.vue'
import Unlock_in from './layout/Unlock_in.vue'
import Lock_in from './layout/Lock_in.vue'
import Lock_in_Member from './layout/Lock_in_Member.vue'
import Lock_in_Pos from './layout/Lock_in_Pos.vue'

const authStore = useAuthStore()
const route = useRoute()

// onBeforeRouteUpdate(() => {
//   authStore.appBarLogin = false
//   authStore.appBarUnlogin = false
// })
</script>

<template>
  <Unlock_in v-if="route.meta.layout === 'Unlock_in'"></Unlock_in>
  <Lock_in v-if="route.meta.layout === 'Lock_in'"></Lock_in>
  <Lock_in_Member v-if="route.meta.layout === 'Lock_in_Member'"></Lock_in_Member>
  <Lock_in_Pos v-if="route.meta.layout === 'Lock_in_Pos'"></Lock_in_Pos>

  <!-- <v-layout class="rounded rounded-md">
    <AppBarLogin></AppBarLogin>

    <NavigationDrawer></NavigationDrawer>

    <v-main style="min-height: 400px">
      <div><RouterView></RouterView></div>
    </v-main>
  </v-layout> -->

  <LoadingDialog></LoadingDialog>
</template>

<style scoped></style>
